﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormTemplateCs
{
    public partial class Form1 : Form
    {
        private SplashScreen1 sp;
        public Form1()
        {
            InitializeComponent();
        }

        private void Me_Load(object sender, EventArgs e)
        {
            ///時間のかかる処理の代わり
            System.Threading.Thread.Sleep(5000);
        }

        private void MDIParent_Button_Click(object sender, EventArgs e)
        {
            using (MDIParent1 _form = new MDIParent1())
            {
                _form.ShowDialog(this);
            }
        }

        private void Explorer_Button_Click(object sender, EventArgs e)
        {
            using (Explorer1 _form = new Explorer1())
            {
                _form.ShowDialog(this);
            }
        }

        private void Dialog_Button_Click(object sender, EventArgs e)
        {
            using (Dialog1 _form = new Dialog1())
            {
                switch (_form.ShowDialog(this))
                {
                    case DialogResult.OK:
                        MessageBox.Show(this, "OK");
                        break;
                    case DialogResult.Cancel:
                        MessageBox.Show(this, "Cancel");
                        break;
                    default:
                        MessageBox.Show(this, "OK/Cancel 以外");
                        break;
                }
            }
        }

        private void Login_Button_Click(object sender, EventArgs e)
        {
            using (LoginForm1 _form = new LoginForm1())
            {
                if (_form.ShowDialog(this) == DialogResult.OK)
                {
                    MessageBox.Show(this, "ログイン成功");
                }
            }
        }

        private void AboutBox_Button_Click(object sender, EventArgs e)
        {
            using (AboutBox1 _form = new AboutBox1())
            {
                _form.ShowDialog(this);
            }
        }
    }
}
